Subject: Re: [Lsr] 答复: A new version of I-D, draft-liu-lsr-isis-ifit-node-capability-02

From: Tianran Zhou <[email-masked]>
Date: Mon, 6 Apr 2020 14:33:30 +0000

Hi Greg,
Thanks for your replay. Please see in line.

Cheers,
Tianran

发件人: Greg Mirsky [mailto:[email-masked]]
发送时间: 2020年4月4日 6:13
收件人: Tianran Zhou <[email-masked]>
抄送: wangyali <[email-masked]>; Acee Lindem (acee) <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>; Christian Hopps <[email-masked]>; [email-masked]
主题: Re: [Lsr] 答复: A new version of I-D, draft-liu-lsr-isis-ifit-node-capability-02

Hi Tianran,
thank you for your kind attention to my questions. Please find my notes in-lined below under the GIM>> tag.

Kind regards,
Greg

On Thu, Apr 2, 2020 at 11:33 PM Tianran Zhou <[email-masked]<mailto:[email-masked]>> wrote:
Hi Greg,

Good questions. Please see my reply in line.

Thanks,
Tianran

From: Greg Mirsky [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Friday, April 3, 2020 6:58 AM
To: wangyali <[email-masked]<mailto:[email-masked]>>
Cc: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; Christian Hopps <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Tianran Zhou <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] 答复: A new version of I-D, draft-liu-lsr-isis-ifit-node-capability-02

Hi Yali, et al,
thank you for the interesting discussion. I have several questions about the purpose of advertising ifit capabilities in IGP (and in general):

  *   Do you see a capability to export telemetry information as a mandatory or optional?
What’s the context with this question? Frankly, I did not have a deep well thinking on this question. But in our case, I wish it’s mandatory.
GIM>> If it is mandatory, then all nodes in a domain support IFIT and, consequently, there's no need to advertise the capability in the homogeneous, IFIT-wise, domain. Would you agree?

ZTR>> I am sorry, I did not understand  your question before. Yes, you are right. So here we assume that not all nodes support IFIT, and different nodes may support different data plane options.

  *   Do you expect that a segment route to be constructed to prefer ifit-capable nodes comparing to nodes that are not?
Yes. This is one use case. As my echo to Robert, we want to achieve the SLA assurance network. We think the capability for visibility to verify the SLA compliance, and also the capability to get the accurate measurement for path computation should be considered. Should be considered from the very beginning when we compute the path.
GIM>> I understand that IFIT-capability might be used as one of CSPF constraints. But, as I think of it, it can simply be discovered in the course of running on-path telemetry collection. Would you agree?

ZTR>>We also considered some options for the IFIT-capability discovery. It seems what we proposed here is more elegant and straight forward.
Thank you for your kind consideration of my questions.

Regards,
Greg

On Wed, Apr 1, 2020 at 8:13 PM wangyali <[email-masked]<mailto:[email-masked]>> wrote:
Hi Acee, Chris and Les,

This is Yali. Many thanks for your kind comments and suggestion.

Besides of signaling MSD by IGP node CAPABILITY TLV, we learned that there's another RFC7883 that advertising S-BFD discriminators in IS-IS. In my understand, BFD is a protocol to detect faults in the bidirectional path between two forwarding engines, including interface, data links, etc.

Similarly, IFIT provides a complete framework of a family of on-path telemetry techniques, which are used to monitoring performance metrics of service flows, e.g. packet loss, delay. So we consider there's a same methodology with S-BFD that advertising IFIT node capabilities.

Please let us know your comments and opinion. Thanks.

Best regards,
Yali

-----邮件原件-----
发件人: Acee Lindem (acee) [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2020年4月1日 20:29
收件人: Tianran Zhou <[email-masked]<mailto:[email-masked]>>; Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; Christian Hopps <[email-masked]<mailto:[email-masked]>>
抄送: [email-masked]<mailto:[email-masked]>; wangyali <[email-masked]<mailto:[email-masked]>>
主题: Re: [Lsr] A new version of I-D, draft-liu-lsr-isis-ifit-node-capability-02

Speak as WG Member...

On 4/1/20, 8:08 AM, "Acee Lindem (acee)" <[email-masked]<mailto:[email-masked]>> wrote:

    There is also a difference between some of the existing applications advertised in IGP capabilities. For example, MSD is used with the routing information to construct SR paths. The information for all these OAM mechanisms doesn't share this affinity. Also, it seems like a slippery slope in what is needed for each of the mechanism.
    Thanks,
    Acee

    On 4/1/20, 4:01 AM, "Lsr on behalf of Tianran Zhou" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

        Hi Les,

        Thanks very much for your suggestion. I have a quick look at rfc6823. Sounds like a good idea. I will think about it.

        Cheers,
        Tianran

        -----Original Message-----
        From: Les Ginsberg (ginsberg) [mailto:[email-masked]<mailto:[email-masked]>]
        Sent: Wednesday, April 1, 2020 1:47 PM
        To: Tianran Zhou <[email-masked]<mailto:[email-masked]>>; Christian Hopps <[email-masked]<mailto:[email-masked]>>
        Cc: wangyali <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
        Subject: RE: [Lsr] A new version of I-D, draft-liu-lsr-isis-ifit-node-capability-02

        Tianran -

        I am very much in agreement with the points Chris has made.

        IGPs do not exist to advertise capabilities/configure applications - which seems to me to be what you are proposing here.
        The fact that you can easily define the encodings does not make it the right thing to do.

        This issue was discussed at length in the context of https://tools.ietf.org/html/rfc6823 . If you were proposing to use GENAPP I would not object - though I do think Chris has correctly pointed out that NETCONF/YANG is likely a more appropriate solution for your use case.

           Les

        > -----Original Message-----
        > From: Tianran Zhou <[email-masked]<mailto:[email-masked]>>
        > Sent: Tuesday, March 31, 2020 7:53 PM
        > To: Christian Hopps <[email-masked]<mailto:[email-masked]>>
        > Cc: wangyali <[email-masked]<mailto:[email-masked]>>; Les Ginsberg (ginsberg)
        > <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
        > Subject: RE: [Lsr] A new version of I-D,
        > draft-liu-lsr-isis-ifit-node-capability-02
        >
        > Hi Chris,
        > Thanks for your quick reply, and please see inline.
        >
        > Cheers,
        > Tianran
        >
        > -----Original Message-----
        > From: Christian Hopps [mailto:[email-masked]<mailto:[email-masked]>]
        > Sent: Wednesday, April 1, 2020 10:00 AM
        > To: Tianran Zhou <[email-masked]<mailto:[email-masked]>>
        > Cc: Christian Hopps <[email-masked]<mailto:[email-masked]>>; wangyali
        > <[email-masked]<mailto:[email-masked]>>; Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>;
        > [email-masked]<mailto:[email-masked]>
        > Subject: Re: [Lsr] A new version of I-D,
        > draft-liu-lsr-isis-ifit-node-capability-02
        >
        >
        >
        > > On Mar 31, 2020, at 9:28 PM, Tianran Zhou <[email-masked]<mailto:[email-masked]>>
        > wrote:
        > >
        > > ZTR> Let's not boil the ocean to compare NETCONF/YANG or routing
        > protocol, which is better. But I did not see the modification to
        > routing protocol with some TLVs is a heavy work, or more complex than
        > NETCONF/YANG.  I see both are available and useful.
        >
        > I'm not sure what you mean by boiling the ocean. I'm saying that YANG
        > is built and intended for querying capabilities and configuring
        > routers. Why isn't that where you are looking first for configuring your monitoring application?
        >
        > ZTR> I know NETCONF can do both query and configuration. And I know
        > resent YANG-Push improvements to reduce the polling.  But routing
        > protocol solutions are also widely used for this. There are already
        > many RFCs and implementation practices. We considered both ways, and
        > aimed for different scenarios.
        >
        > You don't see the major difference between writing a YANG model vs
        > modifying all of the standard IETF routing protocols?
        >
        > ZTR> I know many differences between NETCONF and routing protocol.
        > There are many details on both interfaces, implementations, scenarios
        > when comparing them. That's what I mean boil the ocean.
        > Here I do not know what's the "major difference" you mean?
        >
        > Thanks,
        > Chris.

        _______________________________________________
        Lsr mailing list
        [email-masked]<mailto:[email-masked]>
        https://www.ietf.org/mailman/listinfo/lsr

_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr